package be.msyben.vinylManager.tools.discogs.entities;

import java.io.Serializable;

public final class ListingRelease implements Serializable {
    private static final long serialVersionUID = 6160374249052479351L;
    private String catalog_number;
    private String resource_url;
    private int year;
    private long id;
    private String description;

    public String getCatalog_number() {
        return catalog_number;
    }

    public void setCatalog_number(String catalog_number) {
        this.catalog_number = catalog_number;
    }

    public String getResource_url() {
        return resource_url;
    }

    public void setResource_url(String resource_url) {
        this.resource_url = resource_url;
    }

    public int getYear() {
        return year;
    }

    public void setYear(int year) {
        this.year = year;
    }

    public long getId() {
        return id;
    }

    public void setId(long id) {
        this.id = id;
    }

    public String getDescription() {
        return description;
    }

    public void setDescription(String description) {
        this.description = description;
    }

    @Override
    public String toString() {
        return "ListingRelease{" + "catalog_number=" + catalog_number + ", resource_url=" + resource_url + ", year=" + year + ", id=" + id + ", description=" + description + '}';
    }
    
    
}
